import 'package:dartz/dartz.dart';
import 'package:file_picker/file_picker.dart';
import 'package:flutter/material.dart';
import 'package:collection/collection.dart';
/// 浏览文件
Future<String?> pickFile(BuildContext context,
    Function(String filePath, String fileName) callback) async {
  // await FilePicker.platform.clearTemporaryFiles();
  FilePickerResult? result =
      await FilePicker.platform.pickFiles(type: FileType.any);

  return optionOf(result)
      .flatMap((a) => optionOf(a.files.firstOrNull))
      .map((a) {
    callback(a.path ?? '', a.name);
    return a.path;
  }).toNullable();
}
